MONGOC_CLIENT_SESSION_GET_DIRTY(3)

NAME
mongoc_client_session_get_dirty - mongoc_client_session_get_dirty()

SYNOPSIS

        bool
        mongoc_client_session_get_dirty (const mongoc_client_session_t *session);

Indicates whether session has been marked "dirty" as defined in the driver sessions specification.

PARAMETERS

    •   session: A const mongoc_client_session_t.

DESCRIPTION

This function is intended for use by drivers that wrap libmongoc. It is not useful in client applications.

RETURNS

A boolean indicating whether the session has been marked "dirty".

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc